## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# AttributeListImpl Class Reference

`#include <AttributeListImpl.hpp>`

Inheritance diagram for AttributeListImpl

Collaboration diagram for AttributeListImpl:

List of all members.

## Public Types

- typedef std::vector<AttributeVectorEntry*> AttributeVectorType

## Public Methods

- AttributeListImpl ()
- virtual ~AttributeListImpl ()
- AttributeListImpl (const AttributeListImpl& theSource)
- AttributeListImpl (const AttributeListType& theSource)
- AttributeListImpl& operator= (const AttributeListImpl& theRHS)
- AttributeListImpl& operator= (const AttributeListType& theRHS)
- virtual unsigned int getLength () const
- virtual const XMLCh* getName (const unsigned int index) const
- virtual const XMLCh* getType (const unsigned int index) const
- virtual const XMLCh* getValue (const unsigned int index) const
- virtual const XMLCh* getType (const XMLCh* const name) const
- virtual const XMLCh* getValue (const XMLCh* const name) const
- virtual const XMLCh* getValue (const char* const name) const
- virtual void clear ()
    Remove all attributes from the list.
- virtual bool addAttribute ( const XMLCh* name, const XMLCh* type, const XMLCh* value)
    Adds an attribute to the attribute list. More...
- virtual bool removeAttribute (const XMLCh* name)
    Removes an attribute from the attribute list. More...
- void swap (AttributeListImpl& theOther)
    Swap the contents of two instances. More...
- void reserve (unsigned int theCount)
    Reserve room for the given number of attributes. More...

## Member Typedef Documentation

typedef std::vector<AttributeVectorEntry*> AttributeListImpl::AttributeVectorType

## Constructor & Destructor Documentation

AttributeListImpl::AttributeListImpl ( | )`[explicit]`

virtual AttributeListImpl::~AttributeListImpl ( | )`[virtual]`

AttributeListImpl::AttributeListImpl ( | const AttributeListImpl & theSource )

AttributeListImpl::AttributeListImpl ( | const AttributeListType & theSource )

## Member Function Documentation

bool AttributeListImpl::addAttribute ( | const XMLCh * name,
| const XMLCh * type,
| const XMLCh * value )`[virtual]`

Adds an attribute to the attribute list.

Parameters:

  name | attribute name
  type | attribute type, "CDATA," for example
  value | attribute value

void AttributeListImpl::clear ( | )`[virtual]`

Remove all attributes from the list.

virtual unsigned int AttributeListImpl::getLength ( | ) const`[virtual]`

virtual const XMLCh* AttributeListImpl::getName ( | const unsigned int index ) const`[virtual]`

virtual const XMLCh* AttributeListImpl::getType ( | const XMLCh *const name ) const`[virtual]`

virtual const XMLCh* AttributeListImpl::getType ( | const unsigned int index ) const`[virtual]`

virtual const XMLCh* AttributeListImpl::getValue ( | const char *const name ) const`[virtual]`

virtual const XMLCh* AttributeListImpl::getValue ( | const XMLCh *const name ) const`[virtual]`

virtual const XMLCh* AttributeListImpl::getValue ( | const unsigned int index ) const`[virtual]`

AttributeListImpl& AttributeListImpl::operator= ( | const AttributeListType & theRHS )

AttributeListImpl& AttributeListImpl::operator= ( | const AttributeListImpl & theRHS )

bool AttributeListImpl::removeAttribute ( | const XMLCh * name )`[virtual]`

Removes an attribute from the attribute list.

Parameters:

  name | attribute name

void AttributeListImpl::reserve ( | unsigned int theCount )`[]`

Reserve room for the given number of attributes.

Parameters:

  theCount | The number to reserve

void AttributeListImpl::swap ( | AttributeListImpl & theOther )`[]`

Swap the contents of two instances.

This must _never_ throw an exception.

Parameters:

  thOther | The instance with which to swap.

The documentation for this class was generated from the following file:

- AttributeListImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.